{include file="Application/Home/View/Public/header.blade.php"}
{include file="Application/Home/View/Public/userLeft.blade.php"}
<link rel="stylesheet" href="/Public/Home/css/center.css"/>
{literal}
<style type="text/css">
   .content_h{
   		margin-left: 0px;
   		width: 100%;
   }
   .memberTitle{
   		padding-bottom: 0px;
   		line-height: 50px;
   		background-color: #f4f4f4;
   }
   .share_title{
   		width: 200px;
		height: 30px;
		margin: 30px auto;
   }
   .share_word{
   		width: 100px;
   		height: 30px;
   		line-height: 30px;
   		font-size: 14px;
   		text-align: center;
   		float: left;
   		border:1px solid #dedede;
   		margin-left: -1px;
   		cursor: pointer;
   }
   .sharediv{
	   float: left;
	   width: 100%;
   }
   .exclu_url{
	   float: left;
	   width: 100%;
   }
   .sharebr{
   		border-radius:5px 0px 0px 5px;
   }
   .sharebrtwo{
   		border-radius:0px 5px 5px 0px;
   }
   .celar{
   		clear: both;
   }
   .act{
   		background-color: #ff0000;
   		color: #fff;
   }
   .sharecontent{
   		width: 700px;
   		margin:  60px auto;
   }
   .share_left{
   		width: 160px;
   		float: left;
   }
   .share_right{
   		width: 500px;
   		float: right;
   }
   .share_left_img{
   		width: 160px;
   		height: 160px;
   		padding:20px;
   		box-shadow: 0 0 50px #edb7b7;
   }
   .share_left_img img{
   		width: 100%;
   		height: 100%;
   }
   .share_left_word{
   		margin-top: 15px;

   }
   .share_left_word{
		width: 100%;
   }
   .share_left_word label{
   		float: left;
   		line-height: 30px;
	    margin-top: 5px;
   }
   .share_left_word a{
		float: left;
		width: 30px;
		height: 30px;
		margin-left: 5px;
   }
   .share_left_word a img{
   		width: 30px;
   		height: 30px;
   }
   .share_right_input{
   		width: 100%;
   		height: 35px;
   		line-height: 35px;
   }
   .share_right_input select{
   		width: 360px;
   		float: left;
   		height: 35px;
   		border:none;
   		background-color: #e7e7e7;
   		color:#666;
   		border-radius: 5px;
   		line-height: 35px;
   		padding: 0 10px;
   }
   .share_right_button{
   		width: 100px;
   		height: 35px;
   		color: #fff;
   		text-align: center;
   		line-height: 35px;
   		background-color: #d91d36;
   		border-radius: 5px;
   		float: right;
   		cursor: pointer;
   }
   .exclu_url_button{
	   width: 100px;
	   height: 35px;
	   color: #fff;
	   text-align: center;
	   line-height: 35px;
	   background-color: #d91d36;
	   border-radius: 5px;
	   float: right;
	   cursor: pointer;
   }
   .share_right_word{
	   	width: 100%;
	   	margin-top: 30px;
	   	font-size: 14px;
	   	color:#666;
	   	margin-bottom: 20px;
   }
   .share_right_word b{
   		color:#ff0000;
   }
   .share_right_wordtwo{
   		width: 100%;
	   	margin-top: 10px;
	   	font-size: 14px;
	   	color:#666;
   }
   .sharefromdiv{
   		width: 480px;
   		margin:30px auto;
   }
   .sharefrom{
   		width: 100%;
   		margin-top: 10px;
   }
   .sharefrom label{
   		font-size: 14px;
   		color:#666;
   		font-weight: initial;
   		width: 80px;
   		margin-right: 20px;
   		text-align: right;
   		float: left;
   		line-height: 30px;
   }
   .sharefrom input{
   		width: 260px;
   		height: 30px;
   		line-height: 30px;
   		border:none;
   		border-radius: 5px;
		border:1px solid #ccc;
		padding: 0px 10px;
   }
   .exclu_input{
	   width: 360px;
	   float: left;
	   height: 35px;
	   border: none;
	   background-color: #e7e7e7;
	   color: #666;
	   border-radius: 5px;
	   line-height: 35px;
	   padding: 0 10px;
   }
   #codes{
	   float: left;
   }
   .exclu_share_right{
	   margin-top: 50px;
   }
   .titles{
	   height: 50px;
	   line-height: 50px;
	   width: 100%;
	   text-align: center;
	   font-weight: bold;
   }
   .bdshare-button-style1-32 a{
	   width: 30px;
	   height: 30px;
	   background-size: 100% 100%;
   }
   .bdshare-button-style1-32 .qq{
	   background-image: url('/Public/Home/img/share04.png');
   }
   .bdshare-button-style1-32 .weixin{
	   background-image: url('/Public/Home/img/share02.png');
   }
   .bdshare-button-style1-32 .bds_sqq{
	   background-position:0 0;
   }
   .bdshare-button-style1-32 .bds_weixin{
	   background-position:0 0;
   }
</style>
{/literal}
{literal}
<div class="member-content" id="content">
    <div class="content_h">
        <h3 class="memberTitle">分享给朋友</h3>
		<div class="share_title">
			<div class="share_word sharebr act" data-id="shareLink">分享链接</div>
			<div class="share_word sharebrtwo" data-id="shareOpen">直接开户</div>
			<div class="celar"></div>
		</div>
		<div class="sharecontent" id="share_link" style="display: none;">
			<div class="titles">级差代理</div>
			<div class="sharediv" id="shareLink" >
				<div class="share_left">
					<div class="share_left_img" id="code"></div>
				</div>
				<div class="share_right">
					<div class="share_right_input">
					  <select name="shareurl" id="shareurl">
						 <option value="{{li+'?invita='+ todos.open_invitation}}" v-for="li in list.agent_url">
							 {{li+'?invita='+ todos.open_invitation}}
						 </option>
					  </select>
					  <div class="share_right_button">复制地址</div>
               		</div>
					<div class="share_right_word">您的邀请码：<b v-text="todos.open_invitation"></b></div>
					<div class="share_right_wordtwo">*通过以上链接或扫描二维码的用户即为您的下线</div>
					<div class="share_right_wordtwo">*用户注册时填写您的邀请码，即可成为您的下线。</div>
				</div>
			</div>
			<div class="exclu_url" id="exclu_url">
				<div class="titles">专属代理</div>

				<div class="share_left_img" id="codes"></div>

				<div class="share_right exclu_share_right">
					<div class="share_right_input">
						<select name="excluurl" id="excluurl">
							<option value="{{li}}" v-for="li in list.exclu_url">
								{{li}}
							</option>
						</select>
						<div class="exclu_url_button">复制地址</div>
					</div>
				</div>
			</div>
			<!--div class="bdsharebuttonbox share_left_word" id="shares">
				<label>分享到:</label>
				<a href="javascript:;" class="bds_sqq qq" data-cmd="sqq"></a>
				<!--<a href="javascript:;" class="bds_weixin weixin" data-cmd="weixin"></a>
				<div class="celar"></div>
			</div>-->
			<div class="sharediv" id="shareOpen" style="display: none;">
				<div class="sharefromdiv">
					<div class="sharefrom">
						<label>用户名:</label>
						<input type="text" name="account" id="accounts" placeholder="用户名" value="" maxlength="11" onblur="leave('ns')"><br><i class="ns">*用户名须为6-11个字母或数字、下划线的组合</i>
						<div class="celar"></div>
					</div>

					<div class="sharefrom">
						<label>真实姓名:</label>
						<input type="text" name="name" id="username" placeholder="真实姓名" value="" maxlength="8" onblur="leave('name')"><br><i class="name">*请如实填写姓名，与转出银行卡匹配，否则无法进行取现</i>
						<div class="celar"></div>
					</div>

					<div class="sharefrom">
						<label>输入密码:</label>
						<input type="password" name="password" id="password" placeholder="输入密码" value="" maxlength="18" onblur="leave('ssd')"><br><i class="ssd" >*密码不能为空，不少于6位</i>
						<div class="celar"></div>
					</div>

					<div class="sharefrom">
						<label>确定密码:</label>
						<input type="password" name="again_password" id="again_password" placeholder="确定密码" value="" maxlength="18" onblur="leave('loa')"><br><i class="loa">*确认密码不能为空，不少于6位</i>
						<div class="celar"></div>
					</div>

					<div class="sharefrom">
						<label>手机号码:</label>
						<input type="text" name="phone" id="phone" placeholder="手机号码" value="" maxlength="11" onblur="leave('phone')" onkeyup="this.value=this.value.replace(/\D/g,'')"><br><i class="phone">*您输入的手机号有误</i>
						<div class="celar"></div>
					</div>

					<!-- <div class="sharefrom"><label id="v_container" style="width: 130px;"></label><input style="width: 210px;" type="text" id="code_input"  onblur="leave('lp')" placeholder="验证码"><br><i class="lp">*您输入的验证码有误</i><div class="celar"></div></div> -->

					<br>
					<br>
					<input type="hidden" id="usershare" value='1'>
					<p class="tijiao">
                        <button id="reg">确定</button>
                    </p>
				</div>
			</div>
			<div class="celar"></div>
		</div>
    </div>
</div>
{/literal}
</div>
</div>
<script src="/Public/Home/js/checkToken.js"></script>
<script src="/Public/Home/js/jqPaginator.js"></script>
<script src="/Public/Home/js/clipboard.min.js"></script>

<!-- <script src="/Public/js/gVerify.js"></script> -->

<script src="/Public/Home/js/register.js"></script>
<script type="text/javascript" src="/Public/Home/js/jquery.qrcode.min.js"></script>
{literal}
<script type="text/javascript">
   var datas = new Vue({
         el: "#content",
         data: {
            todos: [],
            list:[],
            pool: '1234567890', // 字符串ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890
            width: 120,
            height: 43,
            exclu_url:''
         }
    });
    $(function () {
        //var share_input = window.location.href;
        var share_input,exclu_input;
        apiAjax('/Api-Account/getAccount', {}, function (data) {
            datas.todos = data.data;
        });
        apiAjax('/Api-Nagent/getAgentDom', {}, function (data) {
            if(data.status == 1){
                datas.list = data.data;
                $("#code").qrcode({
                    width: 120, //宽度
                    height:120, //高度
                    text: data.data.agent_url[0] +"?invita="+ datas.todos.open_invitation
                });
                share_input = data.data.agent_url[0] +"?invita="+ datas.todos.open_invitation;
                //专属
                if(data.data.exclu_url !="")
                {
                    datas.exclu_url = data.data.exclu_url ;
                    exclu_input = data.data.exclu_url[0];
                    $("#codes").qrcode({
                        width: 120, //宽度
                        height:120, //高度
                        text: data.data.exclu_url[0]
                    });

                }else{
                    $('#exclu_url').hide();
				}
                $('#share_link').show();
			}
        });

        $(".share_word").click(function(){
         $(".share_word").removeClass('act');
         $(this).addClass('act');
         if($(this).attr('data-id') =='shareLink'){
            $("#shareLink").show();
            if(datas.exclu_url !="")
			{
                $("#exclu_url").show();
			}
            $("#shares").show();
            $(".titles").show();
            $("#shareOpen").hide();
         }else{
            $("#shareLink").hide();
            $("#exclu_url").hide();
             $("#shares").hide();
             $(".titles").hide();
            $("#shareOpen").show();
         }
      });
        $("#shareurl").change(function(){
         $("#code").html('');
         share_input = $(this).val();
         $("#code").qrcode({
            width: 120, //宽度
            height:120, //高度
            text: $(this).val() //任意内容
         });
        });

        $("#excluurl").change(function(){
            $("#codes").html('');
            exclu_input = $(this).val();
            $("#codes").qrcode({
                width: 120, //宽度
                height:120, //高度
                text: $(this).val() //任意内容
            });
        });

      var clipboard = new ClipboardJS('.share_right_button', {
           text: function() {
               return share_input;
           }
       });
        clipboard.on('success', function(e) {
           layer. msg('复制成功！');
        });
        clipboard.on('error', function(e) {
			layer. msg('复制失败！');
        });
        var clipboard1 = new ClipboardJS('.exclu_url_button', {
            text: function() {
                return exclu_input;
            }
        });
        clipboard1.on('success', function(e) {
			layer. msg('复制成功！');
        });
        clipboard1.on('error', function(e) {
			layer. msg('复制失败！');
        });

        $('#reg').click(function () {
            var account = $('#accounts').val();
            var name= $('#username').val();
            var password= $('#password').val();
            var again_password= $('#again_password').val();
            var phone= $('#phone').val();
            if (!account || !/^[a-zA-Z0-9]{4,11}$/.test(account)) {
				layer. alert('用户名格式错误')
                return false
            }
            if (!name || !/^[\u4e00-\u9fa5]+$/.test(name)) {
				layer.  alert('请填写真实姓名，否则不能提现')
                return false
            }
            if (!password || !/^[a-zA-Z0-9]{6,12}$/.test(password)) {
				layer. alert('密码格式错误')
                return false
            }
            if (password != again_password) {
				layer.  alert('两次密码不一样')
                return false
            }

            if(phone){
                if(!phone.match(/^(1[3456789])\d{9}$/)){
					layer.  alert('手机格式错误')
                    return false
                }
            }else{
				layer. alert('请填写手机号码')
                return false
            }
            apiAjax('/api-Account/directAccount', {
                account: account,
                name: name,
                password: password,
                again_password: again_password,
                phone: phone,
                invita: datas.todos.open_invitation
            }, function (data) {
                if(data.status > 0){
					layer.  alert('注册成功');
                    window.location.reload();
                }
            });
        });
    })

</script>
<script>
    /*window._bd_share_config={
        "common":{
            "bdSnsKey":{},
			"bdText":"分享",
			"bdMini":"2",
			"bdMiniList":["weixin","sqq"],
			"bdPic":"",
			"bdStyle":"1",
			"bdSize":"32"},
			"share":{}
    };
    with(document)0[(getElementsByTagName('head')[0]||body).appendChild(createElement('script')).src='http://bdimg.share.baidu.com/static/api/js/share.js?v=89860593.js?cdnversion='+~(-new Date()/36e5)];*/
</script>
{/literal}
{include file="Application/Home/View/Public/footer.php"}